Skip to content
WP Engine Documentation

List report sections

GET
/site_reports/sections
curl --request GET \
--url https://api.wpengineapi.com/v1/site_reports/sections \
--header 'Authorization: Basic <credentials>'

Returns the available sections for a site report

OK

Media type application/json
object
name

Name of the report type

string
resource_type

Type of resource the sections apply to

string
sections

Available sections that can be included in the report

Array<object>
object
name

Internal identifier for the section

string
display_text

Human-readable name for the section

string
order

Display order of the section in the report

integer
image_url

Preview image URL for the section

string format: uri
footer_url

Footer link URL for the section

string format: uri
group_name

Group name referring to several related pages

string
group_display_text

Human-readable name of the section group

string
mandatory

Whether the section is required in all reports

boolean
Example
{
"name": "siteReport",
"resource_type": "site",
"sections": [
{
"name": "cover",
"display_text": "Cover",
"order": 1,
"image_url": "https://storage.googleapis.com/sites_reports_static_images_bucket/preview-gallery-cover.png",
"footer_url": "https://my.wpengine.com/installs/{install_name}",
"group_name": "overview",
"group_display_text": "Overview",
"mandatory": true
}
]
}

Bad Request

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid Site: Name cannot be empty.",
"errors": [
{
"resource": "Site",
"field": "name",
"type": "invalid_value",
"code": "too_long",
"message": "Name is too long (maximum is 40 characters)"
}
]
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

Internal Server Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

An invalid response was received from an upstream server

Media type application/json

Service unavailable

Media type application/json